Duplicate Dashboard
curl --request POST \
--url https://api.example.com/dashboards/{dashboard_id}/duplicate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
'import requests
url = "https://api.example.com/dashboards/{dashboard_id}/duplicate/"
payload = {
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parent_folder_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'})
};
fetch('https://api.example.com/dashboards/{dashboard_id}/duplicate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"datasets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"detailed_description": "<string>",
"organisation_id": "<string>",
"status": "<string>",
"starred": true,
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_embedding_searchable": true,
"dataset_card": "<string>",
"dictionary": {},
"private_for_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_schema": {
"column_schemas": {}
},
"columns": [
"<string>"
],
"column_count": 123,
"annotations": {},
"warehousing_error": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": true,
"last_schedule_run_at": "2023-11-07T05:31:56Z",
"import_config": {},
"is_importing": true,
"is_profiling": true
}
],
"spec": {
"html": ""
},
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lower_env_dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"higher_env_dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}dashboards
Duplicate Dashboard
POST
/
dashboards
/
{dashboard_id}
/
duplicate
/
Duplicate Dashboard
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
Stored dashboard document: one HTML string.
Show child attributes
Show child attributes